Register a new GraphID
PUT /graph/v1 Select code sample Fetch cURL
Get all graphs Next
Gets all the child graphs of the provided UUID
const url = 'https://example.com/graph/v1';const options = { method: 'PUT', headers: {Authorization: 'Bearer
', 'Content-Type': 'application/json'}, body: '{"graph_id":"00000000-0000-0000-0000-000000000000","name":"First Graph","parent_id":"00000000-0000-0000-0000-000000000011"}'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}
curl --request PUT \ --url https://example.com/graph/v1 \ --header 'Authorization: Bearer
' \ --header 'Content-Type: application/json' \ --data '{ "graph_id": "00000000-0000-0000-0000-000000000000", "name": "First Graph", "parent_id": "00000000-0000-0000-0000-000000000011" }'
Register a new GraphID
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json object graph_id required stringExample
00000000-0000-0000-0000-000000000000
name required string
Example
First Graph
parent_id string nullable
Example
00000000-0000-0000-0000-000000000011
Responses
Section titled “ Responses ”201
Section titled “201 ”New graph registered
400
Section titled “400 ”Parent graph does not exist
409
Section titled “409 ”Graph was already registered
PreviousGet all graphs Next
Gets all the child graphs of the provided UUID